Loading...
Searching...
No Matches
cyaml_ctx Struct Reference
Collaboration diagram for cyaml_ctx:
[legend]

## Data Fields

const cyaml_config_t * | config
cyaml_event_ctx_t | event_ctx
cyaml_state_t * | state
cyaml_state_t * | stack
uint32_t | stack_idx
uint32_t | stack_max
unsigned | seq_count
yaml_parser_t * | parser
yaml_emitter_t * | emitter

## Detailed Description

Internal YAML loading context.

Internal YAML saving context.

## Field Documentation

## config

const cyaml_config_t * cyaml_ctx::config

Settings provided by client.

## emitter

yaml_emitter_t* cyaml_ctx::emitter

Internal libyaml parser object.

## event_ctx

cyaml_event_ctx_t cyaml_ctx::event_ctx

Our LibYAML event context.

## parser

yaml_parser_t* cyaml_ctx::parser

Internal libyaml parser object.

## seq_count

unsigned cyaml_ctx::seq_count

Top-level sequence count.

## stack

cyaml_state_t * cyaml_ctx::stack

State stack

## stack_idx

uint32_t cyaml_ctx::stack_idx

Next (empty) state stack slot

## stack_max

uint32_t cyaml_ctx::stack_max

Current stack allocation limit.

## state

cyaml_state_t * cyaml_ctx::state

Current entry in state stack, or NULL.

The documentation for this struct was generated from the following files:

- src/load.c
- src/save.c